Subject: Mealy Bug Predators

From: [email-masked] (Robert Perkins)
Date: Sat, 07 Oct 1995 13:18:43 GMT

This subject has probably been discussed before, however I am seeking
information on the biological control of Mealy Bug infestation. 
Using insecticides on some of my plants, even in low concentrations
causes defoliation or burning.  
 Dilute soap solution does give some control on certain plants but on
others no effect is seen. It is these latter types that succomb to
being killed or never growing above their juvenille state.
I have used the Black Australian Ladybird, Cryptolaemus montrouzieri,
with no real effect. This control has been said to be poor by several
people.
I have just heard of a parasitic wasp (?) which operates like Encarsia
for controlling White Fly. It is known as Leptomastrix.
Does anyone know if this is a better predator than Cryptolaemus ?
Are there any other controls?
Thanks in advance

Newbury, Berks. U.K